ru.bitel.common.model

## Class AbstractTreeNode<N extends AbstractTreeNode<N>>

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.common.model.AbstractTreeNode<N>

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem, Node<N>, TreeNode<N>
  Direct Known Subclasses:
    Domain, InetOption, InetServ, IpCategory, PhoneCategory, TvAccount, VlanCategory, VoiceBaseCodeBean

      public abstract class AbstractTreeNode<N extends AbstractTreeNode<N>>
      extends IdTitle
      implements Node<N>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<N>` | `children`
    `protected int` | `parentId`

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTreeNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<N>` | `getChildren()`
    `int` | `getParentId()`
    `void` | `setChildren(java.util.List<N> children)`
    `void` | `setParentId(int parentId)`
    `java.util.List<N>` | `toList()`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Field Detail

    - #### parentId

          protected int parentId

    - #### children

          protected java.util.List<N extends AbstractTreeNode<N>> children

  - ### Constructor Detail

    - #### AbstractTreeNode

          public AbstractTreeNode()

  - ### Method Detail

    - #### getChildren

          public java.util.List<N> getChildren()

      Specified by:
        `getChildren` in interface `TreeNode<N extends AbstractTreeNode<N>>`

    - #### setChildren

          public void setChildren(java.util.List<N> children)

      Specified by:
        `setChildren` in interface `Node<N extends AbstractTreeNode<N>>`

    - #### getParentId

          public int getParentId()

      Specified by:
        `getParentId` in interface `Node<N extends AbstractTreeNode<N>>`

    - #### setParentId

          public void setParentId(int parentId)

    - #### toList

          public java.util.List<N> toList()